package com.hai.model;

import com.hai.entity.OutRechargeOrder;

import java.math.BigDecimal;
import java.util.Date;

public class OutRechargeOrderModel extends OutRechargeOrder {

    private String orderNo;
    private String operatorName;
    private String rechargeTypeName;
    private String payTypeName;
    private String rechargeContent;
    private BigDecimal rechargePrice;
    private BigDecimal payPrice;
    private BigDecimal discountDeductionPrice;
    private BigDecimal integralDeductionPrice;
    private BigDecimal payRealPrice;
    private String userName;
    private String userPhone;
    private Date createTime;
    private Date payTime;
    private String payStatusName;
    private String rechargeStatusName;
    private String laborUnionCard;
    private Date refundTime;

    @Override
    public String getOrderNo() {
        return orderNo;
    }

    @Override
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    @Override
    public String getOperatorName() {
        return operatorName;
    }

    @Override
    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }


    public String getRechargeTypeName() {
        return rechargeTypeName;
    }

    public void setRechargeTypeName(String rechargeTypeName) {
        this.rechargeTypeName = rechargeTypeName;
    }

    public String getPayTypeName() {
        return payTypeName;
    }

    public void setPayTypeName(String payTypeName) {
        this.payTypeName = payTypeName;
    }

    @Override
    public String getRechargeContent() {
        return rechargeContent;
    }

    @Override
    public void setRechargeContent(String rechargeContent) {
        this.rechargeContent = rechargeContent;
    }

    @Override
    public BigDecimal getRechargePrice() {
        return rechargePrice;
    }

    @Override
    public void setRechargePrice(BigDecimal rechargePrice) {
        this.rechargePrice = rechargePrice;
    }

    @Override
    public BigDecimal getPayPrice() {
        return payPrice;
    }

    @Override
    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    @Override
    public BigDecimal getDiscountDeductionPrice() {
        return discountDeductionPrice;
    }

    @Override
    public void setDiscountDeductionPrice(BigDecimal discountDeductionPrice) {
        this.discountDeductionPrice = discountDeductionPrice;
    }

    @Override
    public BigDecimal getIntegralDeductionPrice() {
        return integralDeductionPrice;
    }

    @Override
    public void setIntegralDeductionPrice(BigDecimal integralDeductionPrice) {
        this.integralDeductionPrice = integralDeductionPrice;
    }

    @Override
    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    @Override
    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    @Override
    public String getUserName() {
        return userName;
    }

    @Override
    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String getUserPhone() {
        return userPhone;
    }

    @Override
    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public Date getPayTime() {
        return payTime;
    }

    @Override
    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public String getPayStatusName() {
        return payStatusName;
    }

    public void setPayStatusName(String payStatusName) {
        this.payStatusName = payStatusName;
    }

    public String getRechargeStatusName() {
        return rechargeStatusName;
    }

    public void setRechargeStatusName(String rechargeStatusName) {
        this.rechargeStatusName = rechargeStatusName;
    }

    @Override
    public String getLaborUnionCard() {
        return laborUnionCard;
    }

    @Override
    public void setLaborUnionCard(String laborUnionCard) {
        this.laborUnionCard = laborUnionCard;
    }

    @Override
    public Date getRefundTime() {
        return refundTime;
    }

    @Override
    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }
}
